/// <reference types="vite/client" />
/// <reference types="vue/macros-global" />

import { FilterType } from "./filters";

declare module "*.vue" {
  import { DefineComponent } from "vue";
  // eslint-disable-next-line @typescript-eslint/no-explicit-any, @typescript-eslint/ban-types
  const component: DefineComponent<{}, {}, any>;
  export default component;
}

export {};

declare module "vue" {
  interface ComponentCustomProperties {
    $filters: FilterType;
  }
}
